Steps to Migrating to v4.3.1 of AdMob SDK for Android

Looking for ways to migrate the Google AdMob Ads SDK for Android from v4.1.1 to v4.3.1, just follow the flolowing three easy steps to get up and running with the latest version. Following which you should be able to run your application using the latest SDK without any errors:The first step to migrating is downloading […]

AdMod Ads SDK for AndroidLooking for ways to migrate the Google AdMob Ads SDK for Android from v4.1.1 to v4.3.1, just follow the flolowing three easy steps to get up and running with the latest version.

Following which you should be able to run your application using the latest SDK without any errors:

  1. The first step to migrating is downloading the AdMob SDK and adding it to your build path.

  2. You will need to have an Android SDK of 3.2 or higher. Once you have a compatible version, set target=android-13 or higher in your project.properties file of your application to compile against the version you just downloaded.

    Don't worry, you can still build your apps on all Android devices down to Android 1.5! Just set <uses-sdk android:minsdkversion="3"/> in your AndroidManifest.xml in your AndroidManifest.xml file. You can read more about the uses-sdk element to help you configure the appropriate devices for your app.

  3. Finally, replace the old com.google.ads.AdActivity element in your manifest with this new definition: